#include<iostream>
#include<set>
#define A 1000001
using namespace std;
set<int> s;
pair<set<int>::iterator, bool> par;
set<int>::iterator it;
int a[A];
int br[A];
int sol[A];
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	
	int n,i,k,x=0;
	cin >> n >> k;
	for(i=0;i<n;i++)
	{
		cin >> a[i];
		par=s.insert(a[i]);
		if(par.second==true)
		br[a[i]]=1;
		else br[a[i]]++;
	}
	for(it=s.begin();it!=s.end();it++)
	{
		if(br[*it]>=k)
		{
			sol[x]=*it;
			x++;
		}
	}
	cout << x << endl;
	for(i=0;i<x;i++)
	{
		cout <<sol[i] << " ";
	}
}